%global momorel 4

Name:           perl-IO-Compress-Bzip2
Version:        2.008
Release:        %{momorel}m%{?dist}
Summary:        Write bzip2 files/buffers
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/IO-Compress-Bzip2/
Source0:	http://www.cpan.org/modules/by-module/IO/IO-Compress-Bzip2-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Compress-Raw-Bzip2 >= %{version}
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl-Compress-Raw-Bzip2 >= %{version}
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides a Perl interface that allows writing bzip2 compressed
data to files or buffer.

%prep
%setup -q -n IO-Compress-Bzip2-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/IO/Compress/Adapter/*
%{perl_vendorlib}/IO/Compress/Bzip2*
%{perl_vendorlib}/IO/Uncompress/Adapter/*
%{perl_vendorlib}/IO/Uncompress/Bunzip2*
%{_mandir}/man3/*

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.008-4m)
- rebuild against rpm-4.6

* Sat May  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.008-3m)
- change BuildRequires and Requires from perl-IO-Compress-Base to perl

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.008-2m)
- rebuild against gcc43

* Sun Nov 11 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.008-1m)
- update to 2.008

* Sun Sep  2 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.006-1m)
- update to 2.006

* Tue Jul 10 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.005-1m)
- Specfile autogenerated by cpanspec 1.70 for Momonga Linux.
